<?php 

//////////////////////////////////////////////////////////////
//===========================================================
// show_api_log_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:	   8th Mar 2010
// Time:	   23:00 hrs
// Site:	   https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){
	die('Hacking Attempt');
}

function show_api_log_theme(){

	global $cluster, $globals, $l, $show_api_logs, $acls, $all_users,$user_type;
	softheader($l['<title>']);
?>
<style>
.json {
font-size: 12px;
}
.json > .json__item {
display: block;
}
.json__item {
display: none;
margin-top: 10px;
padding-left: 20px;
user-select: none;
}
.json__item--collapsible {
cursor: pointer;
overflow: hidden;
position: relative;
}
.json__item--collapsible::before {
content: '+';
position: absolute;
left: 5px;
}
.json__item--collapsible::after {
background-color: orange;
content: '';
height: 100%;
left: 9px;
position: absolute;
top: 26px;
width: 1px;
}
.json__item--collapsible:hover > .json__key, .json__item--collapsible:hover > .json__value {
text-decoration: underline;
}
.json__toggle {
display: none;
}
.json__toggle:checked ~ .json__item {
display: block;
}
.json__key {
color: #607592;
display: inline;
font-size: 13px !important;
}
.json__key::after {
content: ': ';
}
.json__value {
display: inline;
}
.json__value--string {
color: black;
}
.json__value--number {
color: #1e88e5;
}
.json__value--boolean {
color: red;
}
.Legend-success {
width: 1.2rem;
height: 0.5rem;
display: inline-block;
background-color: #28a745 ;
}
.Legend-fail {
width: 1.2rem;
height: 0.5rem;
display: inline-block;
background-color: #dc3545;
}
</style>
<?php
	echo '

	<script>
	function jsonViewer(json, collapsible=false) {
		var TEMPLATES = {
			item: \'<div class="json__item"><div class="json__key">%KEY%</div><div class="json__value json__value--%TYPE%">%VALUE%</div></div>\',
			itemCollapsible: \'<label class="json__item json__item--collapsible"><input type="checkbox" class="json__toggle"/><div class="json__key">%KEY%</div><div class="json__value json__value--type-%TYPE%">%VALUE%</div>%CHILDREN%</label>\',
			itemCollapsibleOpen: \'<label class="json__item json__item--collapsible"><input type="checkbox" class="json__toggle"/><div class="json__key">%KEY%</div><div class="json__value json__value--type-%TYPE%">%VALUE%</div>%CHILDREN%</label>\'
		};
	
		function createItem(key, value, type){
			var element = TEMPLATES.item.replace(\'%KEY%\', key);
	
			if(type == \'string\') {
				element = element.replace(\'%VALUE%\', \'"\' + value + \'"\');
			} else {
				element = element.replace(\'%VALUE%\', value);
			}
	
			element = element.replace(\'%TYPE%\', type);
	
			return element;
		}
	
		function createCollapsibleItem(key, value, type, children){
			var tpl = \'itemCollapsible\';
			
			if(collapsible) {
				tpl = \'itemCollapsibleOpen\';
			}
			
			var element = TEMPLATES[tpl].replace(\'%KEY%\', key);
	
			element = element.replace(\'%VALUE%\', type);
			element = element.replace(\'%TYPE%\', type);
			element = element.replace(\'%CHILDREN%\', children);
	
			return element;
		}
	
		function handleChildren(key, value, type) {
			var html = \'\';
	
			for(var item in value) { 
				var _key = item,
					_val = value[item];
	
				html += handleItem(_key, _val);
			}
	
			return createCollapsibleItem(key, value, type, html);
		}
	
		function handleItem(key, value) {
			var type = typeof value;
	
			if(typeof value === \'object\') {        
				return handleChildren(key, value, type);
			}
	
			return createItem(key, value, type);
		}
	
		function parseObject(obj) {
			_result = \'<div class="json">\';
	
			for(var item in obj) { 
				var key = item,
					value = obj[item];
	
				_result += handleItem(key, value);
			}
	
			_result += \'</div>\';
	
			return _result;
		}
		
		return parseObject(json);
	};
	
	</script>
	
	<div class="bg">
		<div class="row my-3 mx-auto">
			<div class="col-10">
				<h4 class="text-dark"><i class="fas fa-laptop-code"></i> '.$l['<title>'].' </h4>
			</div>
			<div class="col-2 text-right">
				<span class="search_btn"><a href="javascript:showsearch();" class="text-dark"><i class="fas fa-search"></i></a></span>
			</div>
			<div id="showsearch" class="mt-3 w-100" style="display:'.(optREQ('search') || (!empty(1) && !empty($globals['showsearch'])) ? "" : "none").';">
				<form accept-charset="'.$globals['charset'].'" name="show_api_log" method="GET" action="" class="form-horizontal">
					<input type="hidden" name="act" value="show_api_log">
					<div class="form-group_head">
						<div class="row mx-auto w-100">
							<div class="col-sm-3">
								<label for="input text">'.$l['search_id'].'</label>
								<input type="text" class="form-control" name="vpsid" id="vpsid" size="15" value="'.REQval('vpsid','').'" />
							</div>
							<div class="col-sm-3">
								<label for="input text" class="control-label">'.$l['uid'].'</label>&nbsp;
								<input type="text" class="form-control" name="user_email" id="user_email" size="15" value="'.REQval('user_email','').'" />
							</div>
							<div class="col-sm-3">
								<label for="input text" class="control-label">'.$l['src_ip'].'</label>&nbsp;
								<input type="text" class="form-control" name="src_ip" id="src_ip" size="15" value="'.REQval('src_ip','').'" />
							</div>
							<div class="col-sm-3 server-select-lg">
								<label>'.$l['action'].'</label>
								<select class="custom-select virt-select" name="action" id="action">
									<option value="0">---</option>
									<option value="act_new_api" '.REQselect('action', 'act_new_api').'>'.$l['act_new_api'].'</option>
									<option value="act_edit_api" '.REQselect('action', 'act_edit_api').'>'.$l['act_edit_api'].'</option>
									<option value="act_delete_api" '.REQselect('action', 'act_delete_api').'>'.$l['act_delete_api'].'</option>';
									foreach($acls as $k => $v){
										foreach($v as $kk => $vv){
											echo '<option value="'.$vv.'" '.REQselect('action', $vv).'>'.$l[$vv].'</option>';
										}
									}
									echo'
								</select>
							</div>
							<div class="col-sm-3 server-select-lg">
								<label>'.$l['status'].'</label>
								<select class="custom-select virt-select" name="status" id="status">
									<option value="0">---</option>
									<option value="success" '.REQselect('status', 'success').'>'.$l['state_true'].'</option>
									<option value="fail" '.REQselect('status', 'fail').'>'.$l['state_false'].'</option>
								</select>
							</div>
							<div class="col-sm-3 server-select-lg">
								<label>'.$l['usertype'].'</label>
								<select class="custom-select virt-select" name="utype" id="utype">
									<option value="">---</option>
									<option value="0" '.REQselect('utype', '0').'>User</option>
									<option value="1" '.REQselect('utype', '1').'>Admin</option>
									<option value="2" '.REQselect('utype', '2').'>Cloud</option>
									<option value="-1" '.REQselect('utype', '-1').'>root</option>
									<option value="4" '.REQselect('utype', 'fail').'>Invalid</option>
								</select>
							</div>
							<div class="row mx-auto w-100 my-2">
								<div class="col-sm-12 text-center">
									<button type="submit" name="search" class="go_btn sm_space mt-2" value="Search">'.$l['submit'].'</button>
								</div>
							</div>
						</div>
					</div>
				</form>
			</div>
		</div>
		';
	if(!empty($show_api_logs)){
		echo'
		<div class="row mx-auto w-100 mt-3">
			<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
				page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
		echo'
			</div>
			<div class="col-sm-4 col-lg-4 col-md-6 text-right mb-3 p-0">
				<span class="Legend-success mx-2"></span>
				<span class="Legend-label">Successful</span>
				<span class="Legend-fail mx-2" ></span>
				<span class="Legend-label">Failed</span>
			</div>

		</div>';
		echo '<div class="row mx-auto w-100 tasks_table">
					'.get_num_records(count($show_api_logs)).'
					<table class="table table-hover tablesorter tasks_table">
						<thead>
							<tr>
								<th class="min_width" align="center">'.$l['id'].'</th>
								<th class="min_width" align="center">'.$l['api_id'].'</th>
								<th class="min_width" align="center">'.$l['vpsid'].'</th>
								<th>'.$l['uid'].'</th>
								<th>'.$l['usertype'].'</th>
								<th>'.$l['from_ip'].'</th>
								<th>'.$l['action'].'</th>
								<th>'.$l['time'].'</th>
								<th>'.$l['data'].'</th>
							</tr>
						</thead>
		';
		foreach($show_api_logs as $key => $value){
			(empty($value['status']) ? $success = 1 : $success = 0 );
			echo '
							<tr >
								<td class="'.(!empty($success) ? 'text-success' : 'text-danger').'" style = "'.(!empty($success) ? 'border-left: 2px solid #31aa4c !important' : 'border-left: 2px solid #dd3e4e !important').'" >'.$value['id'].'</td>
								<td>'.(empty($value['api_id']) ? 'NA' : $value['api_id']).'</td>
								<td>'.(empty($value['vpsid']) ? 'NA' : $value['vpsid']).'</td>
								<td>'.$all_users[$value['uid']].'</td>
								<td>'.$user_type[$value['user_type']].'</td>
								<td>'.(empty($value['from_ip']) ? 'NA' : $value['from_ip']).'</td>
								<td>'.(empty($value['action']) ? 'NA' : $l[$value['action']]).'</td>
								<td>'.(empty($value['time']) ? 'NA' : gmdate("d/m/Y H:i:s",$value['time'])).'</td>
								<td>';
									if(!empty($value['data'])){
										echo '
										<span id="sundar_post_'.$value['id'].'"></span><script>$("#sundar_post_'.$value['id'].'").html(jsonViewer('.$value['data'].', true));</script>';
									}
								echo '
							</tr>
			';
		}
			echo '	</table>
				</div>
				<div class="row mx-auto w-100 mt-3">
					<div class="col-sm-8 col-lg-8 col-md-6 mb-3 p-0">';
						page_links($globals['num_res'], $globals['cur_page'], $globals['reslen']);
			echo'
					</div>
				</div>';
	}else{
		echo '
		<div class="col-12">
			<div class="notice"><b>'.$l['note'].': </b> &nbsp; '.$l['no_info'].'</div>
		</div>';
	}
	echo '</div>';
	softfooter();
}
?>