<?php

//////////////////////////////////////////////////////////////
//===========================================================
// addsg_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function addsg_theme(){

global $theme, $globals, $kernel, $user, $l , $cluster, $error, $done;

softheader($l['<title>']);

echo '
<div class="bg">
<div class="row my-3 mx-auto">
<div class="col-10">
<h4 class="text-dark"><i class="icon icon-servers"></i> '.$l['add_sg'].'</h4>
</div>
<div class="col-2 text-right">
<span><a href="'.$globals['docs'].'server-groups/" target="_blank" tooltip="'.$l['wiki_help'].'"><i class="icon-help text-dark" ></i></a></span>
</div>
</div>';

if(!empty($done)){
	show_alert($l['added'],"0","servergroups");
}else{

error_handle($error);

echo '
<div id="form-container">

<form accept-charset="'.$globals['charset'].'" name="addsg" method="post" action="" class="form-horizontal">
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-4">
			<label class="control-label">'.$l['sg_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['sg_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
		</div>
		<div class="col-sm-4">
			<input type="text" class="form-control" name="sg_name" size="30" value="'.POSTval('sg_name', '').'" />
		</div>
	</div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-4">
			<label class="control-label">'.$l['sg_reseller_name'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['sg_reseller_name_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
		</div>
		<div class="col-sm-4">
			<input type="text" class="form-control" name="sg_reseller_name" size="30" value="'.POSTval('sg_reseller_name', '').'" />
		</div>
	</div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-4">
			<label class="control-label">'.$l['sg_desc'].'</label>
			<span class="help-block">&nbsp;</span>
		</div>
		<div class="col-sm-4">
			<textarea class="form-control" name="sg_desc" rows="5" cols="40" >'.POSTval('sg_desc', '').'</textarea>
		</div>
	</div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-4">
			<label class="control-label">'.$l['sg_select'].'</label>
			<span class="help-block">&nbsp;</span>
		</div>
		<div class="col-sm-4">
		<div class="row w-100">
			<div class="col-12">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="sg_select_none" name="sg_select" value="0" '.POSTradio('sg_select', '0').'>
					<span class="custom-control-label" for="sg_select_none">'.$l['sg_select_none'].'</span>
				</label>
			</div>
			<div class="col-12">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="sg_select1" name="sg_select" value="1" '.POSTradio('sg_select', '1').'>
					<span class="custom-control-label" for="sg_select1">'.$l['sg_select_space'].'</span>
				</label>
			</div>
			<div class="col-12">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="sg_select2" name="sg_select" value="2" '.POSTradio('sg_select', '2').'>
					<span class="custom-control-label" for="sg_select2">'.$l['sg_select_ram'].'</span>
				</label>
			</div>
			<div class="col-12">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="sg_select3" name="sg_select" value="3" '.POSTradio('sg_select', '3').'>
					<span class="custom-control-label" for="sg_select3">'.$l['sg_select_cores'].'</span>
				</label>
			</div>
			<div class="col-12">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="sg_select4" name="sg_select" value="4" '.POSTradio('sg_select', '4').'>
					<span class="custom-control-label" for="sg_select4">'.$l['sg_select_ips'].'</span>
				</label>
			</div>
			<div class="col-12">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="sg_select5" name="sg_select" value="5" '.POSTradio('sg_select', '5').'>
					<span class="custom-control-label" for="sg_select5">'.$l['sg_select_ipv6'].'</span>
				</label>
			</div>
			<div class="col-12">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="sg_select6" name="sg_select" value="6" '.POSTradio('sg_select', '6').'>
					<span class="custom-control-label" for="sg_select6">'.$l['sg_select_ipv6sub'].'</span>
				</label>
			</div>
			<div class="col-12">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="sg_select7" name="sg_select" value="7" '.POSTradio('sg_select', '7').'>
					<span class="custom-control-label" for="sg_select7">'.$l['sg_select_numvps'].'</span>
				</label>
			</div>
			<div class="col-12">
				<label class="custom-control custom-radio">
					<input type="radio" class="custom-control-input" id="sg_select8" name="sg_select" value="8" '.POSTradio('sg_select', '8').'>
					<span class="custom-control-label" for="sg_select7">'.$l['sg_select_sys_load'].'</span>
				</label>
			</div>
		</div>
		</div>
	</div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-4">
			<label class="control-label">'.$l['sg_ha_enable'].'&nbsp;<a class="info" data-placement="right" tooltip="'.$l['sg_ha_enable_exp'].'"><i class="fas text-primary fa-info-circle"></i></a></label>
		</div>
		<div class="col-4">
			'.get_checkbox('sg_ha').'
		</div>
	</div>		
</div>

<center><input type="submit" class="go_btn" name="addsg" value="'.$l['sub_but'].'" /></center>


</form>
</div>';

}

echo "</div>";
softfooter();

}

?>