<?php

//////////////////////////////////////////////////////////////
//===========================================================
// dashboard_theme.php
//===========================================================
// SOFTACULOUS VIRTUALIZOR
// Version : 1.0
// Inspired by the DESIRE to be the BEST OF ALL
// ----------------------------------------------------------
// Started by: Alons
// Date:       8th Mar 2010
// Time:       23:00 hrs
// Site:       https://www.virtualizor.com/ (SOFTACULOUS VIRTUALIZOR)
// ----------------------------------------------------------
// Please Read the Terms of use at https://www.virtualizor.com
// ----------------------------------------------------------
//===========================================================
// (c)Softaculous Ltd.
//===========================================================
//////////////////////////////////////////////////////////////

if(!defined('VIRTUALIZOR')){

	die('Hacking Attempt');

}

function manageserver_theme(){

global $theme, $error, $globals, $cluster, $user, $l, $usage, $info;

softheader($l['<title>']);

echo '
<div class="bg" >
<div class="row mx-auto my-3">
	<div class="col-12">
		<h4 class="text-dark"><i class="icon icon-servers"></i>&nbsp; '.$l['<title>'].'</h4>
	</div>
</div>';

error_handle($error); 

// Is it offline ?
$hypervisor_status = $cluster->statewise($globals['server']);
if($hypervisor_status == 0 || $hypervisor_status == 2){

	echo '<div class="e_notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['server_status_'.$hypervisor_status].'</div>';
	
}else{

// Is it loaded into the correct kernel
if(strlen($info['check_kernel']) > 1){
	show_alert($info['check_kernel'] ,"1");
	echo '<div class="e_notice"><b>'.$l['note'].' : </b> &nbsp; '.$info['check_kernel'].'</div>';
}

if(!empty($GLOBALS['rebooted'])){
	show_alert($info['check_kernel'] ,"2");
	echo '<div class="notice"><b>'.$l['note'].' : </b> &nbsp; '.$l['server_rebooting'].'</div>';
}

echo '<script language="javascript" type="text/javascript"><!-- // --><![CDATA[';

if(is_allowed('server_statistics')){

echo '

	function startusage(){
		ajaxtimer = setInterval("getserverstats('.$globals['server'].')", 5000);
	};

	// Draw a Server Resource Graph
	function server_graph(id, data){

		$.plot($("#"+id), data, 
		{
			series: {
				pie: { 
					innerRadius: 0.7,
					radius: 1,
					show: true,
					label: {
						show: true,
						radius: 0,
						formatter: function(label, series){
							if(label != "Used" && label != "Io") return "";
							return \'<div style="font-size:13px;"><b>\'+Math.round(series.percent)+\'%</b></div><div style="font-size:9px;">\'+(label == "Io" ? "" : label)+\'</div>\';	
						}
					}
				}
			},
			legend: {
				show: false
			}
		});
	}

	function getserverstats(serid){
		
		serid = serid || 0;
		
		$.getJSON("'.$globals['index'].'act=manageserver&changeserid="+serid+"&api=json", function(data) {
			
			var server_cpu = [
				{ label: "Used",  data: data["usage"]["cpu"]["percent"]},
				{ label: "Free",  data: data["usage"]["cpu"]["percent_free"]}
			];
			
			var server_ram = [
				{ label: "Used",  data: data["usage"]["ram"]["percent"]},
				{ label: "Free",  data: data["usage"]["ram"]["percent_free"]}
			];
			
			var server_disk = [
				{ label: "Used",  data: data["usage"]["disk"]["/"]["percent"]},
				{ label: "Free",  data: data["usage"]["disk"]["/"]["percent_free"]}
			];

			var sto_total = data["info"]["resources"]["total_space"];
			var sto_used = (sto_total - data["info"]["resources"]["space"]).toFixed(2);
			var sto_per = (sto_used / sto_total)*100;			
			var server_storage = [
				{ label: "Used",  data: sto_per},
				{ label: "Free",  data: 100 - sto_per}
			];
			
			var server_bandwidth = [
				{ label: "Used",  data: (data["usage"]["bandwidth"]["percent"] == 0)? 0.1 : data["usage"]["bandwidth"]["percent"]},
				{ label: "Free",  data: data["usage"]["bandwidth"]["percent_free"]}
			];
			
			// CPU
			server_graph("server_cpu", server_cpu);
			
			// RAM
			server_graph("server_ram", server_ram);
			
			// DISK
			server_graph("server_disk", server_disk);

			//STORAGE
			server_graph("server_storage", server_storage);
			
			// Bandwidth
			server_graph("server_bandwidth", server_bandwidth);

			// I/O
			if(!empty(data["usage"]["io"])){
				var iowait = data["usage"]["io"]["avg_cpu"]["iowait"];
				var server_io = [
					{ label: "Io",  data: iowait},
					{ label: "Free",  data: 100 - iowait}
				];
				server_graph("server_io", server_io);
			}else{
				$("#server_io").parent().remove();
			}

			// Fill in the Text
			$_("server_cpu_text").innerHTML = data["usage"]["cpu"]["percent"]+"%";
			$_("server_ram_text").innerHTML = data["usage"]["ram"]["used"]+" / "+data["usage"]["ram"]["limit"]+" MB";
			$_("server_disk_text").innerHTML = data["usage"]["disk"]["/"]["used_gb"]+" / "+data["usage"]["disk"]["/"]["limit_gb"]+" GB";

			$_("server_storage_text").innerHTML = sto_used + " / " + sto_total + " GB";

			var band_limit = data["usage"]["bandwidth"]["limit_gb"];
			$_("server_bandwidth_text").innerHTML = data["usage"]["bandwidth"]["used_gb"]+" / "+ ((band_limit > 0) ? band_limit : "<i class=\'fas fa-infinity\'></i>")+ " GB" ;

			if(iowait){
				$_("server_io_text").innerHTML = data["usage"]["io"]["avg_cpu"]["iowait"]+"%";
			}
			
			// Update Server Load Average
			$("#uptime_data").html(data["info"]["uptime"]);
			
		});
	}';
}

echo '$(document).ready(function(){
	getserverstats('.$globals['server'].');
	startusage();
});

function conf_reboot(){
	showalert("'.$l['conf_reboot'].'" ,"3" ,function(confirm){
		if(confirm == false){
			return false;
		}else{
			$("#progress_bar").show();
	
			$.ajax({
				type: "POST",
				url: "'.$globals['index'].'act=manageserver&reboot=1",
				success: function(data){
						setTimeout(function(){showalert(\''.$l['server_rebooting'].'\');
						$("#alert-modal").on("hidden.bs.modal", function (e) {
						location.reload(true);
						});} ,200);
				},
				error: function(data) {
					$("#progress_bar").hide();
					return false;
				}
			});
		}
	});
};

// ]]></script>';

if(is_allowed('server_statistics')){

	echo '<div class="divroundshad">
	<div class="roundheader"><center>'.$l['basic'].'</center></div>
	<br />
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-6 border-right">
			<table align="center" class="table table-hover" cellpadding="3" cellspacing="4" border="0" width="100%">
				<tr>
					<td align="left" class="blue_td" width="30%">'.$l['hostname'].'</td>
					<td class="fhead val">'.$info['hostname'].'</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['ipaddr'].'</td>
					<td class="val">'.$info['ips'][0].'</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['numvps'].'</td>
					<td class="val">'.$info['details']['numvps'].'</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['alloc_cpu'].'</td>
					<td class="val">'.$info['details']['alloc_cpu'].'</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['alloc_space'].'</td>
					<td class="val">'.$info['details']['alloc_space'].' GB</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['poweredby'].'</td>
					<td class="val"><img src="'.$theme['images'].$usage['cpu']['manu'].'.png" /></td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['cpumodel'].'</td>					
					<td class="val">'.$usage['cpu']['cpumodel'].'</td>
				</tr>
			</table>
		</div>
		<div class="col-sm-6">
			<table align="center" class="table table-hover" cellpadding="3" cellspacing="4" border="0" width="100%">
				<tr>
					<td align="left" class="blue_td" width="30%">'.$l['osinstalled'].'</td>
					<td class="fhead val"><img src="'.$theme['images'].'/'.$info['os']['distro'].'.gif" />&nbsp;&nbsp;'.$info['os']['name'].'</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['servstatus'].'</td>
					<td class="val">'.($info['status'] == 1 ? '<img src="'.$theme['images'].'runbig.gif" />&nbsp;&nbsp;'.$l['online'].'' : '<img src="'.$theme['images'].'stopbig.gif" />&nbsp;&nbsp;'.$l['offline'].'').'</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['uptime'].'</td>
					<td class="val" id="uptime_data">'.$info['uptime'].'</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['kernel'].'</td>
					<td class="val">'.$info['kernel_name'].'</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['alloc_ram'].'</td>
					<td class="val">'.$info['details']['alloc_ram'].' MB</td>
				</tr>
				<tr>
					<td align="left" class="blue_td">'.$l['alloc_bandwidth'].'</td>
					<td class="val">'.$info['details']['alloc_bandwidth'].' GB</td>
				</tr>
				<tr><td align="left" class="blue_td">'.$l['alloc_space'].'</td><td class="val">'.$info['details']['alloc_space'].' GB</td></tr>
			</table>
		</div>
	</div>
</div>

<br />
<br />';
}

if(is_allowed('server_statistics')){

echo '<div class="divroundshad">
	<div class="roundheader"><center>'.$l['server_resources'].'</center></div>

	<div class="row mx-auto w-100 my-3 text-center" id="pie-charts">
		<div class="col">
			<div class="h4 p-1">'.$l['cpuinfo'].'</div>
			<div id="server_cpu" class="mgraph m-auto"></div>
			<br /><div id="server_cpu_text">&nbsp;</div>
		</div>
		<div class="col">
			<div class="h4 p-1">'.$l['raminfo'].'</div>
			<div id="server_ram" class="mgraph m-auto"></div>
			<br /><div id="server_ram_text">&nbsp;</div>
		</div>
		<div class="col">
			<div class="h4 p-1">'.$l['diskinfo'].'</div>
			<div id="server_disk" class="mgraph m-auto"></div>
			<br /><div id="server_disk_text">&nbsp;</div>
		</div>
		<div class="col">
			<div class="h4 p-1">'.$l['storageinfo'].'</div>
			<div id="server_storage" class="mgraph m-auto"></div>
			<br /><div id="server_storage_text">&nbsp;</div>
		</div>
		<div class="col">
			<div class="h4 p-1">'.$l['bandwidthinfo'].'</div>
			<div id="server_bandwidth" class="mgraph m-auto"></div>
			<br /><div id="server_bandwidth_text">&nbsp;</div>
		</div>
		<div class="col">
			<div class="h4 p-1">'.$l['iowait'].'</div>
			<div id="server_io" class="mgraph m-auto"></div>
			<br /><div id="server_io_text">&nbsp;</div>
		</div>
	</div>
</div>
<br />
<br />';
}

echo '
<div class="divroundshad">
	<div class="roundheader"><center>'.$l['server_options'].'</center></div>
	<div class="row mx-auto w-100 my-3">
		<div class="col-sm-12">
			<div class="serv_op">
				<a href="'.$globals['index'].'act=config" class="micons">
				<img src="'.$theme['images'].'admin/settingsdp.gif" /><br /><div class="pt-2">'.$l['settings'].'</div>
				</a>
			</div>
			<div class="serv_op">
				<a href="'.$globals['index'].'act=vscpu" class="micons">
				<img src="'.$theme['images'].'cpu.png" /><br /><div class="pt-2">'.$l['cpu_usage'].'</div>
				</a>
			</div>
			<div class="serv_op">
				<a href="'.$globals['index'].'act=vsram" class="micons">
				<img src="'.$theme['images'].'ram.png" /><br /><div class="pt-2">'.$l['ram_usage'].'</div>
				</a>
			</div>
			<div class="serv_op">
				<a href="'.$globals['index'].'act=vsbandwidth" class="micons">
				<img src="'.$theme['images'].'bandwidth.png" /><br /><div class="pt-2">'.$l['bandwidth_usage'].'</div>
				</a>
			</div>
			<div class="serv_op">
				<a href="javascript:void(0);" class="micons" onclick="conf_reboot();">
				<img src="'.$theme['images'].'restart.png" /><br /><div class="pt-2">'.$l['reboot'].'</div>
				</a>
			</div>
			<div class="serv_op">
				<a href="'.$globals['index'].'act=backup_plans" class="micons">
				<img src="'.$theme['images'].'admin/backups.png" /><br /><div class="pt-2">'.$l['backups'].'</div>
				</a>
			</div>
			<div class="serv_op">
				<a href="'.$globals['index'].'act=vpsrestore" class="micons">
				<img src="'.$theme['images'].'admin/restore.png" /><br /><div class="pt-2">'.$l['list_backups'].'</div>
				</a>
			</div>

		</div>
	</div>
	
</div>

<p class="notice">'.$l['trademarks'].'</p>'; 

}

echo '</div>';

softfooter();

}

?>