#!/bin/bash
NEW_VPSNAME=$1
TO_IP=$2
TO_SSH_PORT=$3
SPEED=$4
VPS_NAME=$5
SETMAXDOWNTIME=$6
XML_FILE=$7
LOGFILE=$8


echo Live Migration
echo 1 NEW_VPSNAME $NEW_VPSNAME
echo 2 TO_IP $TO_IP
echo 3 TO_SSH_PORT $TO_SSH_PORT
echo 4 SPEED $SPEED
echo 5 VPS_NAME $VPS_NAME
echo 6 SETMAXDOWNTIME $SETMAXDOWNTIME
echo 7 XML_FILE $XML_FILE
echo 8 LOGFILE $LOGFILE

# Set live migration speed
virsh migrate-setspeed $VPS_NAME --bandwidth $SPEED

# Set live migration setmaxdowntime
virsh migrate-setmaxdowntime $VPS_NAME --downtime $SETMAXDOWNTIME

# Start live migration
virsh migrate --live --verbose --copy-storage-all --dname $NEW_VPSNAME --xml $XML_FILE --desturi qemu+ssh://root@$TO_IP:$TO_SSH_PORT/system?keyfile=/var/virtualizor/ssh-keys/id_rsa $VPS_NAME 2>&1 >> $LOGFILE

# Get return code
RET=$?

echo $RET >>$LOGFILE
echo "mig_completed" >>$LOGFILE
exit $RET
